%% Draw a circle of radius r.
function drawCircle( r )
t = linspace( 0, 2*pi, 50 );    % pi is a builtin constant.
x = r * cos(t);                 % We'll use parametric equation.
y = r * sin(t);

plot( x, y, 'm-', 'LineWidth', 2, ...
    'Marker', 'o', 'MarkerFaceColor', [1,1,0], 'MarkerSize', 10 );

axis equal;                     % Make axes have the same scale.
xlim( [-r-1 r+1] );             % Change axes limits.
ylim( [-r-1 r+1] );
xlabel( 'x axis' );             % Put some labels on the axes.
ylabel( 'y axis' );

title( sprintf( 'A circle of radius %f', r ) );     % And a title for the figure.